import { Directive, ElementRef, Input, NgModule, Renderer2 } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var HiddenDirective = (function () {
    function HiddenDirective() {
        this.hidden = true;
    }
    HiddenDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[hidden]',
                    host: {
                        '[class.hidden]': 'hidden',
                    }
                },] },
    ];
    /** @nocollapse */
    HiddenDirective.ctorParameters = function () { return []; };
    HiddenDirective.propDecorators = {
        "hidden": [{ type: Input, args: ["hidden",] },],
    };
    return HiddenDirective;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ContainerFluidDirective = (function () {
    function ContainerFluidDirective() {
    }
    ContainerFluidDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[bsContainerFluid]',
                    host: {
                        class: "container-fluid"
                    },
                },] },
    ];
    /** @nocollapse */
    ContainerFluidDirective.ctorParameters = function () { return []; };
    return ContainerFluidDirective;
}());
var ContainerDirective = (function () {
    function ContainerDirective() {
    }
    ContainerDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[bsContainer]',
                    host: {
                        class: "container"
                    }
                },] },
    ];
    /** @nocollapse */
    ContainerDirective.ctorParameters = function () { return []; };
    return ContainerDirective;
}());
var RowDirective = (function () {
    function RowDirective() {
    }
    RowDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[bsRow]',
                    host: {
                        class: "row"
                    }
                },] },
    ];
    /** @nocollapse */
    RowDirective.ctorParameters = function () { return []; };
    return RowDirective;
}());
var ColDirective = (function () {
    function ColDirective(renderer2, elementRef) {
        this.renderer2 = renderer2;
        this.elementRef = elementRef;
        this._cacheInput = {};
        this._class = '';
        this._classMap = {
            bsColXs: 'col-xs-',
            bsColSm: 'col-sm-',
            bsColMd: 'col-md-',
            bsColLg: 'col-lg-',
            bsColXl: 'col-xl-',
        };
    }
    Object.defineProperty(ColDirective.prototype, "bsColXs", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColXs'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColSm", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColSm'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColMd", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColMd'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColLg", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColLg'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColXl", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColXl'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColGtXs", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColGtXs'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColGtSm", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColGtSm'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColGtMd", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColGtMd'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColGtLg", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColGtLg'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColLtSm", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColLtSm'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColLtMd", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColLtMd'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColLtLg", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColLtLg'] = val; },
        enumerable: true,
        configurable: true
    });
    
    Object.defineProperty(ColDirective.prototype, "bsColLtXl", {
        set: /**
         * @param {?} val
         * @return {?}
         */
        function (val) { this._cacheInput['bsColLtXl'] = val; },
        enumerable: true,
        configurable: true
    });
    
    /**
     * @return {?}
     */
    ColDirective.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        for (var /** @type {?} */ key in this._cacheInput) {
            var /** @type {?} */ _class = this._classMap[key] + this._cacheInput[key];
            this.renderer2.addClass(this.elementRef.nativeElement, _class);
        }
    };
    ColDirective.decorators = [
        { type: Directive, args: [{
                    selector: "  [bsCol],\n        [bsCol.xs], [bsCol.sm], [bsCol.md], [bsCol.lg], [bsCol.xl],\n        [bsCol.lt-sm], [bsCol.lt-md], [bsCol.lt-lg], [bsCol.lt-xl],\n        [bsCol.gt-xs], [bsCol.gt-sm], [bsCol.gt-md], [bsCol.gt-lg]"
                },] },
    ];
    /** @nocollapse */
    ColDirective.ctorParameters = function () { return [
        { type: Renderer2, },
        { type: ElementRef, },
    ]; };
    ColDirective.propDecorators = {
        "bsColXs": [{ type: Input, args: ['bsCol.xs',] },],
        "bsColSm": [{ type: Input, args: ['bsCol.sm',] },],
        "bsColMd": [{ type: Input, args: ['bsCol.md',] },],
        "bsColLg": [{ type: Input, args: ['bsCol.lg',] },],
        "bsColXl": [{ type: Input, args: ['bsCol.xl',] },],
        "bsColGtXs": [{ type: Input, args: ['bsCol.gt-xs',] },],
        "bsColGtSm": [{ type: Input, args: ['bsCol.gt-sm',] },],
        "bsColGtMd": [{ type: Input, args: ['bsCol.gt-md',] },],
        "bsColGtLg": [{ type: Input, args: ['bsCol.gt-lg',] },],
        "bsColLtSm": [{ type: Input, args: ['bsCol.lt-sm',] },],
        "bsColLtMd": [{ type: Input, args: ['bsCol.lt-md',] },],
        "bsColLtLg": [{ type: Input, args: ['bsCol.lt-lg',] },],
        "bsColLtXl": [{ type: Input, args: ['bsCol.lt-xl',] },],
    };
    return ColDirective;
}());
var Bootstrap3GridModule = (function () {
    function Bootstrap3GridModule() {
    }
    Bootstrap3GridModule.decorators = [
        { type: NgModule, args: [{
                    imports: [],
                    declarations: [
                        ContainerDirective,
                        ContainerFluidDirective,
                        RowDirective,
                        ColDirective,
                        HiddenDirective
                    ],
                    exports: [
                        ContainerDirective,
                        ContainerFluidDirective,
                        RowDirective,
                        ColDirective,
                        HiddenDirective
                    ]
                },] },
    ];
    /** @nocollapse */
    Bootstrap3GridModule.ctorParameters = function () { return []; };
    return Bootstrap3GridModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { Bootstrap3GridModule, HiddenDirective, ColDirective as ɵd, ContainerDirective as ɵb, ContainerFluidDirective as ɵa, RowDirective as ɵc };
//# sourceMappingURL=ng2-bootstrap3-grid.es5.js.map
