import { Directive, ElementRef, Input, NgModule, Renderer2 } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class HiddenDirective {
    constructor() {
        this.hidden = true;
    }
}
HiddenDirective.decorators = [
    { type: Directive, args: [{
                selector: '[hidden]',
                host: {
                    '[class.hidden]': 'hidden',
                }
            },] },
];
/** @nocollapse */
HiddenDirective.ctorParameters = () => [];
HiddenDirective.propDecorators = {
    "hidden": [{ type: Input, args: ["hidden",] },],
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
class ContainerFluidDirective {
    constructor() { }
}
ContainerFluidDirective.decorators = [
    { type: Directive, args: [{
                selector: '[bsContainerFluid]',
                host: {
                    class: "container-fluid"
                },
            },] },
];
/** @nocollapse */
ContainerFluidDirective.ctorParameters = () => [];
class ContainerDirective {
    constructor() { }
}
ContainerDirective.decorators = [
    { type: Directive, args: [{
                selector: '[bsContainer]',
                host: {
                    class: "container"
                }
            },] },
];
/** @nocollapse */
ContainerDirective.ctorParameters = () => [];
class RowDirective {
    constructor() { }
}
RowDirective.decorators = [
    { type: Directive, args: [{
                selector: '[bsRow]',
                host: {
                    class: "row"
                }
            },] },
];
/** @nocollapse */
RowDirective.ctorParameters = () => [];
class ColDirective {
    /**
     * @param {?} renderer2
     * @param {?} elementRef
     */
    constructor(renderer2, elementRef) {
        this.renderer2 = renderer2;
        this.elementRef = elementRef;
        this._cacheInput = {};
        this._class = '';
        this._classMap = {
            bsColXs: 'col-xs-',
            bsColSm: 'col-sm-',
            bsColMd: 'col-md-',
            bsColLg: 'col-lg-',
            bsColXl: 'col-xl-',
        };
    }
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColXs(val) { this._cacheInput['bsColXs'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColSm(val) { this._cacheInput['bsColSm'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColMd(val) { this._cacheInput['bsColMd'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColLg(val) { this._cacheInput['bsColLg'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColXl(val) { this._cacheInput['bsColXl'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColGtXs(val) { this._cacheInput['bsColGtXs'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColGtSm(val) { this._cacheInput['bsColGtSm'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColGtMd(val) { this._cacheInput['bsColGtMd'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColGtLg(val) { this._cacheInput['bsColGtLg'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColLtSm(val) { this._cacheInput['bsColLtSm'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColLtMd(val) { this._cacheInput['bsColLtMd'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColLtLg(val) { this._cacheInput['bsColLtLg'] = val; }
    ;
    /**
     * @param {?} val
     * @return {?}
     */
    set bsColLtXl(val) { this._cacheInput['bsColLtXl'] = val; }
    ;
    /**
     * @return {?}
     */
    ngOnInit() {
        for (let /** @type {?} */ key in this._cacheInput) {
            let /** @type {?} */ _class = this._classMap[key] + this._cacheInput[key];
            this.renderer2.addClass(this.elementRef.nativeElement, _class);
        }
    }
}
ColDirective.decorators = [
    { type: Directive, args: [{
                selector: `  [bsCol],
        [bsCol.xs], [bsCol.sm], [bsCol.md], [bsCol.lg], [bsCol.xl],
        [bsCol.lt-sm], [bsCol.lt-md], [bsCol.lt-lg], [bsCol.lt-xl],
        [bsCol.gt-xs], [bsCol.gt-sm], [bsCol.gt-md], [bsCol.gt-lg]`
            },] },
];
/** @nocollapse */
ColDirective.ctorParameters = () => [
    { type: Renderer2, },
    { type: ElementRef, },
];
ColDirective.propDecorators = {
    "bsColXs": [{ type: Input, args: ['bsCol.xs',] },],
    "bsColSm": [{ type: Input, args: ['bsCol.sm',] },],
    "bsColMd": [{ type: Input, args: ['bsCol.md',] },],
    "bsColLg": [{ type: Input, args: ['bsCol.lg',] },],
    "bsColXl": [{ type: Input, args: ['bsCol.xl',] },],
    "bsColGtXs": [{ type: Input, args: ['bsCol.gt-xs',] },],
    "bsColGtSm": [{ type: Input, args: ['bsCol.gt-sm',] },],
    "bsColGtMd": [{ type: Input, args: ['bsCol.gt-md',] },],
    "bsColGtLg": [{ type: Input, args: ['bsCol.gt-lg',] },],
    "bsColLtSm": [{ type: Input, args: ['bsCol.lt-sm',] },],
    "bsColLtMd": [{ type: Input, args: ['bsCol.lt-md',] },],
    "bsColLtLg": [{ type: Input, args: ['bsCol.lt-lg',] },],
    "bsColLtXl": [{ type: Input, args: ['bsCol.lt-xl',] },],
};
class Bootstrap3GridModule {
}
Bootstrap3GridModule.decorators = [
    { type: NgModule, args: [{
                imports: [],
                declarations: [
                    ContainerDirective,
                    ContainerFluidDirective,
                    RowDirective,
                    ColDirective,
                    HiddenDirective
                ],
                exports: [
                    ContainerDirective,
                    ContainerFluidDirective,
                    RowDirective,
                    ColDirective,
                    HiddenDirective
                ]
            },] },
];
/** @nocollapse */
Bootstrap3GridModule.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

export { Bootstrap3GridModule, HiddenDirective, ColDirective as ɵd, ContainerDirective as ɵb, ContainerFluidDirective as ɵa, RowDirective as ɵc };
//# sourceMappingURL=ng2-bootstrap3-grid.js.map
